function emailLink(){
    var error = document.getElementById('error');
    var params = {};
    params.email = document.getElementById('mail').value;
    
    //Si el campo esta vacio le decimos que debe ingresar un correo
    //Si no, llamamos al servicio
    if (params.email !== '') {
        loadScreen();
        callWS("GET", "login/forgot", params, respx);
        error.innerHTML = "";
    } else {
        error.innerHTML = "El campo es requerido";
    }
    
    function respx(status, respText){
        console.log(status);
        closeLoad();
        if ( status === 200 ) {
            gotoPage('login','recoverMessage',params);
        } else if ( status === 401 ) {
            error.innerHTML = "No existe ningún usuario registrado con ese email";
        }
    }
}

window.onload = function carga(){
    //Enviar correo
    document.getElementById('recoverPass').addEventListener("click", function(){
        emailLink();
    });
    
    //Regresar al login
    document.getElementById('goback').addEventListener("click", function(){
        gotoPage('login','main',{});
    });
    
    //Detect enter
    document.body.addEventListener("keydown",function (e) {
        if (e.keyCode === 13) {
            emailLink();
        }
    });
}